Databases
Restart database
Restart the database. The database configuration and stored data are preserved. The operation is asynchronous - the database status transitions to updating while the restart is in progress and back to ready once it completes. Allowed only when the database status is ready, error, passwordChangeFailed, or restoringFailed, the database is not suspended, and there is no backup in progress.
POST
Restart database
Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Database identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Response
Default Response
Confirmation message
Example:
"Database restart started"
Previous
Reset database passwordReset the password for a database. The operation is asynchronous - the database status will change to `passwordChange` during the process and transition back to `ready` once complete.
Next
Restart database